## ros-rolling-py-trees-js 0.6.4

=== .devcontainer/opengl_experiments/hybrid/Makefile ===
TAG=hybrid
REPO=devel

help:
	@echo "Usage:"
	@echo ""
	@echo "  image     : build an image"
	@echo "  container : create a container that persists"
	@echo "  start     : execute from the container"
	@echo "  clean     : clean up container"
	@echo "  pristine  : clean image and container"
	@echo ""
	@echo "Be Froody."

image:
	docker build \
	  --build-arg POETRY_VERSION=1.3.2 \
	  --build-arg PYTHON_VERSION=3.8.16 \
	  --build-arg DEBIAN_VERSION=bullseye \
	  --build-arg NAME=${TAG} \
	  -t ${REPO}:${TAG} .

container:
	docker container create --tty --network host -i --gpus 'all,"capabilities=graphics,utility,display,video,compute"' -v /tmp/.X11-unix:/tmp/.X11-unix:ro -e DISPLAY --name=${TAG} ${REPO}:${TAG}

run: clean
	docker run -it --mount type=bind,source=/mnt/mervin/workspaces/foo,target=/mnt/foo --name=${TAG} --network host --gpus 'all,"capabilities=graphics,utility,display,video,compute"' --volume /tmp/.X11-unix:/tmp/.X11-unix:ro --env DISPLAY --user zen ${REPO}:${TAG} -i

start:
	docker container start -i ${TAG}

clean:
	-docker container rm ${TAG}

pristine: clean
	docker image rm ${REPO}:${TAG}

=== .devcontainer/opengl_experiments/rocker/Makefile ===
TAG=bar

# Private variables
REPO=devel

help:
	@echo "Usage:"
	@echo ""
	@echo "  image     : build an image"
	@echo "  container : create a container that persists"
	@echo "  start     : execute from the container"
	@echo "  clean     : clean up container"
	@echo "  pristine  : clean image and container"
	@echo ""
	@echo "Be Froody."

image:
	docker build \
	  --build-arg POETRY_VERSION=1.3.2 \
	  --build-arg PYTHON_VERSION=3.8.16 \
	  --build-arg DEBIAN_VERSION=bullseye \
	  --build-arg NAME=${TAG} \
	  -t ${REPO}:${TAG} .

container:
	docker container create --tty --network host -i --gpus 'all,"capabilities=graphics,utility,display,video,compute"' -v /tmp/.X11-unix:/tmp/.X11-unix:ro -e DISPLAY --name=${TAG} ${REPO}:${TAG}

run: clean
	docker run -it --mount type=bind,source=/mnt/mervin/workspaces/foo,target=/mnt/foo --name=${TAG} --network host --gpus 'all,"capabilities=graphics,utility,display,video,compute"' --volume /tmp/.X11-unix:/tmp/.X11-unix:ro --env DISPLAY ${REPO}:${TAG} /bin/bash --login -i
# docker run -it --mount type=bind,source=/mnt/mervin/workspaces/foo,target=/mnt/foo 
# --name foo  -v /home/danielstonier/.gitconfig:/home/danielstonier/.gitconfig:ro
# --network host  
# --gpus 'all,"capabilities=graphics,utility,display,video,compute"' 
#--volume /tmp/.X11-unix:/tmp/.X11-unix:ro --env=DISPLAY devel:foo /bin/bash --login -i

start:
	docker container start -i ${TAG}

clean:
	-docker container rm ${TAG}

pristine: clean
	docker image rm ${REPO}:${TAG}

=== debian/changelog ===
ros-rolling-py-trees-js (0.6.4-2jammy) jammy; urgency=high

  * [actions] pre-merge and update-cache, #146 <https://github.com/splintered-reality/py_trees_js/pull/146>
  * [actions] push containers, #144 <https://github.com/splintered-reality/py_trees_js/pull/144>
  * [poetry] update project to use poetry, #143 <https://github.com/splintered-reality/py_trees_js/pull/143>
  * [vscode] devcontainer workflows, #143 <https://github.com/splintered-reality/py_trees_js/pull/143>
  * [tests] basic tests, formatting, linting, #143 <https://github.com/splintered-reality/py_trees_js/pull/143>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 24 Feb 2022 08:00:00 -0000

ros-rolling-py-trees-js (0.6.3-2jammy) jammy; urgency=high

  * [js] remove buggy early view update and optimise them, #142 <https://github.com/splintered-reality/py_trees_js/pull/142>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 May 2020 07:00:00 -0000

ros-rolling-py-trees-js (0.6.2-2jammy) jammy; urgency=high

  * [js] bugfix accidentally ignored tree_cache size, #123 <https://github.com/splintered-reality/py_trees_js/pull/123>
  * ... missed a few pull requests inbetween

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 02 Mar 2020 08:00:00 -0000

ros-rolling-py-trees-js (0.6.0-2jammy) jammy; urgency=high

  * [js] accepting trees flagged with no status/graph change, #122 <https://github.com/splintered-reality/py_trees_js/pull/122>
  * [js] blackboard views, #125 <https://github.com/splintered-reality/py_trees_js/pull/125>, #133 <https://github.com/splintered-reality/py_trees_js/pull/134>, #122 <https://github.com/splintered-reality/py_trees_js/pull/134>, #135 <https://github.com/splintered-reality/py_trees_js/pull/135>, #136 <https://github.com/splintered-reality/py_trees_js/pull/136>

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 27 Dec 2019 08:00:00 -0000

ros-rolling-py-trees-js (0.5.1-2jammy) jammy; urgency=high

  * [js] performance improvements, #120 <https://github.com/splintered-reality/py_trees_js/pull/120>
  * [js] highlighted links, #115 <https://github.com/splintered-reality/py_trees_js/pull/115>
  * [js] orthogonal link connections, for better visualisation
  * [qt] capture screenshots, #114 <https://github.com/splintered-reality/py_trees_js/pull/114>

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 26 Oct 2019 07:00:00 -0000

ros-rolling-py-trees-js (0.5.0-2jammy) jammy; urgency=high

  * [html] disable scrollbars, #110 <https://github.com/splintered-reality/py_trees_js/pull/110>
  * [js] robustness against identical timestamps, #109 <https://github.com/splintered-reality/py_trees_js/pull/109>
  * [js] improved window resize handling, #111 <https://github.com/splintered-reality/py_trees_js/pull/111>
    * new public api ``py_trees.canvas.on_window_resize`` and ``py_trees.timeline.on_window_resize``

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Aug 2019 07:00:00 -0000

ros-rolling-py-trees-js (0.4.0-2jammy) jammy; urgency=high

  * Milestone - Polish & Release <https://github.com/splintered-reality/py_trees_js/milestone/5>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 13 Aug 2019 07:00:00 -0000

ros-rolling-py-trees-js (0.3.1-2jammy) jammy; urgency=high

  * Milestone - Interactive Event Timeline <https://github.com/splintered-reality/py_trees_js/milestone/4>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Aug 2019 07:00:00 -0000

ros-rolling-py-trees-js (0.2.0-2jammy) jammy; urgency=high

  * Milestone - Streaming Trees / Qt <https://github.com/splintered-reality/py_trees_js/milestone/3?closed=1>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 01 Aug 2019 07:00:00 -0000

ros-rolling-py-trees-js (0.1.0-2jammy) jammy; urgency=high

  * Milestone - Render a Tree <https://github.com/splintered-reality/py_trees_js/milestone/2?closed=1>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 25 Jul 2019 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-py-trees-js
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), pyqt5-dev-tools, python3-setuptools, qttools5-dev-tools, ros-rolling-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: https://github.com/splintered-treality/py_trees_js
Standards-Version: 3.9.2

Package: ros-rolling-py-trees-js
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, libpyside2-dev, libshiboken2-dev, pyqt5-dev, python3-pyqt5, python3-pyqt5.qtsvg, python3-pyqt5.qtwebengine, python3-pyside2.qtsvg, python3-sip-dev, shiboken2, ros-rolling-ros-workspace
Description: Javascript library for visualising behaviour trees.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/rolling" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	 --install-scripts "\$$base/bin" 

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=pybuild --with python3 --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-py-trees-js//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
